std::numpunct::decimal_point,do_decimal_point(3)

NAME
std::numpunct::decimal_point,do_decimal_point - std::numpunct::decimal_point,do_decimal_point

Synopsis
   Defined in header <locale>
   public: (1)
   char_type decimal_point() const;
   protected: (2)
   virtual char_type do_decimal_point() const;
   1) Public member function, calls the member function do_decimal_point of the most
   derived class.
   2) Returns the character to be used as the decimal separator between integer and
   fractional parts.

Return value
   The value of type char_type to use as the decimal separator. The standard
   specializations of std::numpunct return '.' and L'.'.

Example
// Run this code
 #include <iostream>
 #include <locale>
 struct slash : std::numpunct<char> {
     char do_decimal_point() const { return '/'; } // separate with slash
 };
 int main()
 {
     std::cout.precision(10);
     std::cout << "default locale: " << 1234.5678 << '\n';
     std::cout.imbue(std::locale(std::cout.getloc(), new slash));
     std::cout << "locale with modified numpunct: " << 1234.5678 << '\n';
 }

Output:
 default locale: 1234.5678
 locale with modified numpunct: 1234/5678